Package com.io7m.cedarbridge.schema.ast

# Class CBASTNames

java.lang.Object
com.io7m.cedarbridge.schema.ast.CBASTNames

public final class CBASTNames extends Object
Functions over AST names.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CBASTFieldName`
  `fieldName(com.io7m.jlexing.core.LexicalType<URI> lexical, String text)`
  Construct a name.
  `static CBASTPackageName`
  `packageName(com.io7m.jlexing.core.LexicalType<URI> lexical, String text)`
  Construct a name.
  `static CBASTPackageShortName`
  `shortPackageName(com.io7m.jlexing.core.LexicalType<URI> lexical, String text)`
  Construct a name.
  `static CBASTTypeName`
  `typeName(com.io7m.jlexing.core.LexicalType<URI> lexical, String text)`
  Construct a name.
  `static CBASTTypeParameterName`
  `typeParameterName(com.io7m.jlexing.core.LexicalType<URI> lexical, String text)`
  Construct a name.
  `static CBASTVariantCaseName`
  `variantCaseName(com.io7m.jlexing.core.LexicalType<URI> lexical, String text)`
  Construct a name.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### fieldName

    public static CBASTFieldName fieldName(com.io7m.jlexing.core.LexicalType<URI> lexical, String text)
    Construct a name.
    Parameters:
      `lexical` - Lexical data
      `text` - The text
    Returns:
      A name

  - ### packageName

    public static CBASTPackageName packageName(com.io7m.jlexing.core.LexicalType<URI> lexical, String text)
    Construct a name.
    Parameters:
      `lexical` - Lexical data
      `text` - The text
    Returns:
      A name

  - ### shortPackageName

    public static CBASTPackageShortName shortPackageName(com.io7m.jlexing.core.LexicalType<URI> lexical, String text)
    Construct a name.
    Parameters:
      `lexical` - Lexical data
      `text` - The text
    Returns:
      A name

  - ### typeName

    public static CBASTTypeName typeName(com.io7m.jlexing.core.LexicalType<URI> lexical, String text)
    Construct a name.
    Parameters:
      `lexical` - Lexical data
      `text` - The text
    Returns:
      A name

  - ### typeParameterName

    public static CBASTTypeParameterName typeParameterName(com.io7m.jlexing.core.LexicalType<URI> lexical, String text)
    Construct a name.
    Parameters:
      `lexical` - Lexical data
      `text` - The text
    Returns:
      A name

  - ### variantCaseName

    public static CBASTVariantCaseName variantCaseName(com.io7m.jlexing.core.LexicalType<URI> lexical, String text)
    Construct a name.
    Parameters:
      `lexical` - Lexical data
      `text` - The text
    Returns:
      A name